%define		status		stable
%define		pearname	Horde_Date
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Date package
Name:		php-horde-Horde_Date
Version:	1.0.11
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	ff48ed46c8bfd4817fa7590ba0a5eb72
URL:		https://github.com/horde/horde/tree/master/framework/Date/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.593
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Nls < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-calendar
Suggests:	php-horde-Horde_Icalendar
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(Horde/Icalendar.*)

%description
Package for creating and manipulating dates.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Date.php
%{php_pear_dir}/Horde/Date
%{php_pear_dir}/data/Horde_Date
%changelog
* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 4484a58
- updated to: 1.0.11

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> e73d0b8
- updated to: 1.0.10

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> f24f724
- updated to: 1.0.5

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> ef4b3a8
- updated to: 1.0.4

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> a54c383
- updated to: 1.0.1

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> bcb8065
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> 25bab51
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 2eb297e
- horde h4 pear packages

